package gov.nist.nlpir.irf.de.normalize;

/**
   Abstract class in order to implement any kind of Stemmer. Currently
   does nothing and provides no function, but constrains Stemmers to
   expose the stemWord() method.
   
   @author
   This software was produced by NIST, an agency of the U.S. government,  
   and by statute is not subject to copyright in the United States.        
   Recipients of this software assume all responsibilities associated      
   with its operation, modification and maintenance.
   @version $Revision: 1.1 $
*/
public abstract class Stemmer {

    /**
       Stems a word.
       @param word the word to be stemmed
       @return stemmed version of word
    */ 
    public abstract String stemWord(String word);
}
