package gov.nist.nlpir.irf.query;

/** 
 * Models the combination of indexing weights and matching degree.
 * 
 * @version $Revision: 1.1 $ 	
 * 
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 *                             
 */                      

public class IdxWeightsWithMatchDegree {
    
    /** 
     * Multiply dbl1 and dbl2
     * 
     * @param dbl1 a double
     * @param dbl2 a double
     * @return product of dbl1 and dbl2
     */          

    public double combine(double dbl1, double dbl2) {
	return dbl1 * dbl2;
    }        
}
