package gov.nist.nlpir.irf.irfman;
import java.util.Enumeration; 

/** 
 * The IndexerMatcherManager manages information about available indexers
 * and document-query matchers. 
 * <br><br>
 * The methods for doing this in irf are as yet undetermined.
 * 
 * @version $Revision: 1.1 $ 	
 * 
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.                           
 */                      

public abstract class IndexerMatcherManager {
    
    /**  
     * Print out information on the available indexers/matchers
     * <br><br>
     * How this is to be done depends on how the information on
     * available indexers and matchers in managed in irf. This
     * is yet to be determined.
     */   
    public abstract void present();
}
