package gov.nist.nlpir.irfapps.trec;

import gov.nist.nlpir.irf.document.ProxyDocument;

/**
 * A stand-in for an FbisDocument
 *
 * @see gov.nist.nlpir.irfapps.trec.fbis.FbisDocument
 *
 * @version $Revision: 1.3 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 */

abstract public class ProxyTrecDocument extends ProxyDocument {


  /**
   * Returns string representation of TREC Document
   */
  public String toString() {
    return "P " + ((TrecDocument)getRealObject()).toString();
  }
  

}
