package gov.nist.nlpir.irfapps.trec.fbis;

import gov.nist.nlpir.irf.handle.braf.BufferedRandomAccessFileHandle;

/**
 * Handle for persistent FbisDocument objects
 *
 * @version $Revision: 1.1 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 *
 */
public class FbisDocumentBrafHandle extends BufferedRandomAccessFileHandle {
    
  static int staticFileCode = getCode("DB.FBIS");


  protected final int getFileCode() {
    return staticFileCode;
  }
}
